#ifndef sonar_H_INCLUDED
#define sonar_H_INCLUDED

volatile uint16_t ms_count;
volatile int sonar;
volatile int Tdist;
volatile int dist;
volatile int in;
volatile int sfbusy;

void us50_sleep(uint16_t us50);

void initializeSonar(void); // initiates timer

void triggerSonar(void);

void sampleSonar(uint8_t);  // always use us50_sleep right after this function

int scanArea(void);



#endif

